import WorkspaceElement from './WorkspaceElement';
import Line from './Line';
import StyleAttributes from './StyleAttributes';
import ArcLinePeer from './peer/svg/ArcLinePeer';
import PositionType from './PositionType';
declare class ArcLine extends WorkspaceElement<ArcLinePeer> implements Line {
    constructor(attributes?: StyleAttributes);
    getType(): string;
    setFrom(x: number, y: number): void;
    setTo(x: number, y: number): void;
    getFrom(): PositionType;
    getTo(): PositionType;
    getElementClass(): ArcLine;
    setIsSrcControlPointCustom(value: boolean): void;
    setIsDestControlPointCustom(value: boolean): void;
    setDashed(v: number, v2: number): void;
    setSrcControlPoint(value: PositionType): void;
    setDestControlPoint(value: PositionType): void;
    isDestControlPointCustom(): boolean;
    isSrcControlPointCustom(): boolean;
    getControlPoints(): [PositionType, PositionType];
}
export default ArcLine;
